﻿using System;
using System.Collections.ObjectModel;
using System.Linq;
using System.Windows.Controls;
using System.Windows.Media.Imaging;

namespace CarouselExample
{
	public class MainViewModel
	{
		public ObservableCollection<PhotoItem> PhotoItems {get; set;}

		public MainViewModel()
		{
			this.GetPhotos();
		}

		public void GetPhotos()
		{
			this.PhotoItems = new ObservableCollection<PhotoItem>();
			

			for (int i = 1; i <= 27; i++)
			{
				string imageUri = String.Format("/Images/nature{0}.jpg", i);
				PhotoItem photo = new PhotoItem();
				
				Image myImage = new Image();
				myImage.Source = new BitmapImage(new Uri(imageUri, UriKind.Relative));
				myImage.Height = 200;
				myImage.Width = 200;				
				photo.MyPhoto = myImage;
				photo.Title = String.Format("Image Title {0}", i);
				photo.Description = "Some Description";

				PhotoItems.Add(photo);
			}
		}
	}
}
